From bc35bab443251be3e4babdcb228f15e23d79ab3f Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Paul=20K=C3=BChne?= <fkuehne@videolan.org>
Date: Thu, 3 Oct 2013 18:38:25 +0200
Subject: [PATCH 3/5] contrib/png: fix compilation for arm64

---
 contrib/src/png/rules.mak | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/contrib/src/png/rules.mak b/contrib/src/png/rules.mak
index d1adc34..85839c6 100644
--- a/contrib/src/png/rules.mak
+++ b/contrib/src/png/rules.mak
@@ -7,6 +7,13 @@ ifeq ($(call need_pkg,"libpng"),)
 PKGS_FOUND += png
 endif
 
+PNGCONF =
+ifdef HAVE_IOS
+ifeq ($(ARCH),arm64)
+PNGCONF = --enable-arm-neon=no
+endif
+endif
+
 $(TARBALLS)/libpng-$(PNG_VERSION).tar.xz:
 	$(call download,$(PNG_URL))
 
@@ -23,6 +30,6 @@ DEPS_png = zlib $(DEPS_zlib)
 
 .png: png
 	$(RECONF)
-	cd $< && $(HOSTVARS) ./configure $(HOSTCONF)
+	cd $< && $(HOSTVARS) ./configure $(HOSTCONF) $(PNGCONF)
 	cd $< && $(MAKE) install
 	touch $@
-- 
1.8.3.4 (Apple Git-47)

